@import url('https://fonts.googleapis.com/css?family=Open+Sans:400,600,700&display=swap');

// themes - our custom or/and out of the box themes
@import 'themes';

// framework component themes (styles tied to theme variables)
@import '~@nebular/theme/styles/globals';
@import '~@nebular/auth/styles/all';

@import '~bootstrap/scss/functions';
@import '~bootstrap/scss/variables';
@import '~bootstrap/scss/mixins';
@import '~bootstrap/scss/grid';

// loading progress bar theme
@import './pace.theme';

@import './layout';
@import './overrides';

// install the framework and custom global styles
@include nb-install() {

  // framework global styles
  @include nb-theme-global();
  @include nb-auth-global();

  @include ngx-layout();
  // loading progress bar
  @include ngx-pace-theme();

  @include nb-overrides();
};

.bottom-gap-15 {
  margin-bottom: 1.5rem;
}

.pull-left {
  float: left!important;
}

.pull-right {
  float: right!important;
}

.clear {
  clear: both;
}

.ng2-smart-actions ng2-st-tbody-edit-delete {
  display: none !important;
}

.invalid-form {
  color: #dc3545;
}

// .nb-theme-default nb-layout-column {
//   background-color: #ff8383;
// }

// .nb-theme-default nb-card {
//   border: 0.125rem solid #ba1f1f;
//   border-radius: 0.9375rem;
// }
